extends Control


# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	pass


func _on_infinite_mode_button_pressed() -> void:
	GLOBAL.currentMode = GLOBAL.MODES.INFINITE
	get_parent().get_parent().loadGrid()

func _on_time_mode_button_pressed() -> void:
	GLOBAL.currentMode = GLOBAL.MODES.TIME
	get_parent().get_parent().loadGrid()
